Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IAttribute

    com.change_vision.jude.api.inf.model.IAttribute

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Known Implementing Classes:
  IPort

    public IAttribute

extends INamedElement

Interface for Attribute or Association End.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IAssociation` | `getAssociation()` Get Association.
`abstract IConnector[]` | `getConnectors()` Get connectors.
`abstract String` | `getInitialValue()` Get Initial Value.
`abstract IMultiplicityRange[]` | `getMultiplicity()` Get Multiplicity.
`abstract String` | `getNavigability()` Get Navigability.
`abstract String` | `getQualifiedTypeExpression()` Get Qualified Type Expression.
`abstract IAttribute[]` | `getQualifiers()` Get Qualifiers.
`abstract IClass` | `getType()` Get Type.
`abstract String` | `getTypeExpression()` Get Type Expression.
`abstract boolean` | `isAggregate()` Check if it is Aggregate.
`abstract boolean` | `isChangeable()` Check if it is Changeable.
`abstract boolean` | `isComposite()` Check if it is Composite.
`abstract boolean` | `isDerived()` Check if the element is derived.
`abstract boolean` | `isEnable()` Deprecated. Check if it is able to navigate.
`abstract boolean` | `isStatic()` Check if it is static.
`abstract void` | `setAggregation()` Set Aggregation.
`abstract void` | `setAggregationKind(AggregationKind aggregationKind)` Set aggregation kind.
`abstract void` | `setChangeable(boolean isChangeable)` Set Changeable.
`abstract void` | `setComposite()` Set Composite.
`abstract void` | `setDerived(boolean isDerived)` Set Derived.
`abstract void` | `setEnable(boolean isEnable)` Deprecated. Set Enable.
`abstract void` | `setInitialValue(String initialValue)` Set Initial Value.
`abstract void` | `setMultiplicity(int[][] ranges)` Set Multiplicity.
`abstract void` | `setMultiplicityStrings(String[][] ranges)` Set setMultiplicity Strings.
`abstract void` | `setNavigability(String navigability)` Set Navigability.
`abstract void` | `setQualifiedTypeExpression(String type)` Set Qualified Type Expression.
`abstract void` | `setStatic(boolean isStatic)` Set Static.
`abstract void` | `setType(IClass type)` Set Type.
`abstract void` | `setTypeExpression(String type)` Set Type Expression.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getType

    abstract IClass getType()

  Get Type.

  Returns:
    Type. Return null in case no type is found.

### getTypeExpression

    abstract String getTypeExpression()

  Get Type Expression.

  Returns:
    String-Type Expression. Return empty string("") if there is none.

### getQualifiedTypeExpression

    abstract String getQualifiedTypeExpression()

  Get Qualified Type Expression.

  Returns:
    String-Type Expression. Return empty string("") if there is none.

### getInitialValue

    abstract String getInitialValue()

  Get Initial Value.

  Returns:
    Initial Value. Return empty string ("") if there is none.

### isChangeable

    abstract boolean isChangeable()

  Check if it is Changeable. (Let's consider NOT final in Java language).

  Returns:
    true able to change / false it is Read-Only and unable to change

### getAssociation

    abstract IAssociation getAssociation()

  Get Association.

  Returns:
    Association (Return null in case it is Attribute)

### getQualifiers

    abstract IAttribute[] getQualifiers()

  Get Qualifiers.

  Returns:
    the array of Qualifiers (Return the empty array in case there is no qualifiers or it was attribute).

### getMultiplicity

    abstract IMultiplicityRange[] getMultiplicity()

  Get Multiplicity.

  Returns:
    the array of Multiplicity range (Return the empty array in case it was attribute).

### isDerived

    abstract boolean isDerived()

  Check if the element is derived.

  Returns:
    true it is derived / false it is not derived

### isComposite

    abstract boolean isComposite()

  Check if it is Composite.

  Returns:
    true it is composite / false it is not composite

### isAggregate

    abstract boolean isAggregate()

  Check if it is Aggregate.

  Returns:
    true it is Aggregate / false it is Attribute not Aggregate

### isEnable

    abstract boolean isEnable()

  Deprecated. Check if it is able to navigate.

  Returns:
    true it is able to navigate or it is an Attribute. / false it is unable to navigate

### isStatic

    abstract boolean isStatic()

  Check if it is static.

  Returns:
    true it is static / false it is not static

### setType

    abstract void setType(IClass type)

  Set Type.

  Parameters:
    `type` - Type
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setTypeExpression

    abstract void setTypeExpression(String type)

  Set Type Expression.

  Parameters:
    `type` - Type Expression
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setQualifiedTypeExpression

    abstract void setQualifiedTypeExpression(String type)

  Set Qualified Type Expression.

  Parameters:
    `type` - Type Expression
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setInitialValue

    abstract void setInitialValue(String initialValue)

  Set Initial Value.

  Parameters:
    `initialValue` - Initial Value
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setChangeable

    abstract void setChangeable(boolean isChangeable)

  Set Changeable.

  Parameters:
    `isChangeable` - true changeable / false not changeable.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setAggregation

    abstract void setAggregation()

  Set Aggregation.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setComposite

    abstract void setComposite()

  Set Composite.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setAggregationKind

    abstract void setAggregationKind(AggregationKind aggregationKind)

  Set aggregation kind.

  Parameters:
    `aggregationKind` - aggregation kind.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                BAD_TRANSACTION_KEY - Bad Transaction.
                HAS_EXCEPTION_KEY - if an exception has occurred.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.6.4

### setStatic

    abstract void setStatic(boolean isStatic)

  Set Static.

  Parameters:
    `isStatic` - true static / false not static.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setMultiplicity

    abstract void setMultiplicity(int[][] ranges)

  Set Multiplicity.

  Parameters:
    `ranges` - Multiplicity Range

         like "0..*", ranges should be {{0, IMultiplicityRange.UNLIMITED}}.
         "0..6", ranges should be {{0, 6}}.
         "*", ranges should be {{IMultiplicityRange.UNLIMITED}}.
         "1", ranges should be {{1}}.
         "1,3,5,7,9,10..100", ranges should be {{1},{3},{5},{7},{9},{10,100}}
         lower < 0 like {{-5, 5}}, upper < lower {10, 5}} are NOT permitted.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setMultiplicityStrings

    abstract void setMultiplicityStrings(String[][] ranges)

  Set setMultiplicity Strings.

  Parameters:
    `ranges` - Multiplicity Range

         like "a..b", ranges should be {{"a", "b"}}.
         "a", ranges should be {{"a"}}.
         "a,b,c..d", ranges should be {{"a"},{"b"},{"c", "d"}}.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDerived

    abstract void setDerived(boolean isDerived)

  Set Derived.

  Parameters:
    `isDerived` - true derived / false not derived.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setEnable

    abstract void setEnable(boolean isEnable)

  Deprecated. Set Enable.

  Parameters:
    `isEnable` - true enable / false not enable.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getNavigability

    abstract String getNavigability()

  Get Navigability.

  Returns:
    "Navigable" Navigable / "Non_Navigable" Non Navigable / "Unspecified" Unspecified

### setNavigability

    abstract void setNavigability(String navigability)

  Set Navigability.

  Parameters:
    `navigability` - "Navigable" Navigable / "Non_Navigable" Non Navigable / "Unspecified" Unspecified
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getConnectors

    abstract IConnector[] getConnectors()

  Get connectors.

  Returns:
    the array of Connectors (Return the empty array in case there is no connectors).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD